Loading...
Searching...
No Matches
mappedgeometry.hh File Reference
`#include <cassert>`
`#include <limits>`
`#include <optional>`
`#include <stdexcept>`
`#include <type_traits>`
`#include <dune/common/copyableoptional.hh>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/math.hh>`
`#include <dune/common/transpose.hh>`
`#include <dune/geometry/quadraturerules.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/geometry/type.hh>`
`#include <dune/geometry/utility/algorithms.hh>`
`#include <dune/geometry/utility/convergence.hh>`
`#include <dune/geometry/utility/defaultmatrixhelper.hh>`

Go to the source code of this file.

## Classes

class | Dune::MappedGeometry< Map, Geo >
| Geometry parametrized by a LocalFunction and a LocalGeometry. More...

## Namespaces

namespace | Dune

## Functions

template<class Map, class Geo>
| Dune::MappedGeometry (const Map &, const Geo &) -> MappedGeometry< Map, Geo >
template<class Map, class Geo>
| Dune::MappedGeometry (const Map &, const Geo &, bool) -> MappedGeometry< Map, Geo >